/**
 * 初始化通用附件类别详情对话框
 */
var CurrencyFiletypeInfoDlg = {
    currencyFiletypeInfoData : {},
    validateFields: {
        type: {
            validators: {
                notEmpty: {
                    message: '申报类别不能为空'
                }
            }
        },
        name: {
            validators: {
                notEmpty: {
                    message: '附件名称不能为空'
                }
            }
        },
        api: {
            validators: {
                notEmpty: {
                    message: 'api不能为空'
                }
            }
        },
        active: {
            validators: {
                notEmpty: {
                    message: '有效状态不能为空'
                }
            }
        },
        must: {
            validators: {
                notEmpty: {
                    message: '是否必传不能为空'
                }
            }
        },
        sn :{
            validators: {
                notEmpty: {
                    message: '排序不能为空'
                },
                regexp: {
                    regexp:/^\d+$/,
                    message: '只能输入数字'
                }
            }
        }
    }
};

/**
 * 清除数据
 */
CurrencyFiletypeInfoDlg.clearData = function() {
    this.currencyFiletypeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
CurrencyFiletypeInfoDlg.set = function(key, val) {
    this.currencyFiletypeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
CurrencyFiletypeInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
CurrencyFiletypeInfoDlg.close = function() {
    parent.layer.close(window.parent.CurrencyFiletype.layerIndex);
}

/**
 * 收集数据
 */
CurrencyFiletypeInfoDlg.collectData = function() {
    this
    .set('id')
    .set('type')
    .set('name')
    .set('api')
    .set('must')
    .set('active')
    .set('sn')
    .set('checkCompany')
    .set('description');
}

/**
 * 验证数据是否为空
 */
CurrencyFiletypeInfoDlg.validate = function () {
    $('#currencyFileTypeInfoForm').data("bootstrapValidator").resetForm();
    $('#currencyFileTypeInfoForm').bootstrapValidator('validate');
    return $("#currencyFileTypeInfoForm").data('bootstrapValidator').isValid();
}

/**
 * 提交添加
 */
CurrencyFiletypeInfoDlg.addSubmit = function() {
    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    $('#currencyFileTypeInfoForm')[0].submit();
}

/**
 * 提交修改
 */
CurrencyFiletypeInfoDlg.editSubmit = function() {
    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    $('#currencyFileTypeInfoForm')[0].submit();
}

//回调
CurrencyFiletypeInfoDlg.callBack = function (data) {
    Feng.success(data.msg);
    if(data.code=="200"){
        window.parent.CurrencyFiletype.table.refresh();
        CurrencyFiletypeInfoDlg.close();
    }
}

CurrencyFiletypeInfoDlg.fileChange = function(context){
    var file  = $(context).val();
    var pos = file.lastIndexOf("\\");
    $("#templateUrl").val(file.substring(pos+1));
}

$(function() {

    //下拉框数据动态加载 - 申报类别
    Feng.addAjaxSelect({
        "id": "type",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": Feng.ctxPath + "/admin/dict/findChildDictByCode?code=common_declareType"
    });
    //下拉框数据回显
    $("select").each(function () {
        $(this).val($(this).attr("selectVal"));
    });
    Feng.initValidator("currencyFileTypeInfoForm", CurrencyFiletypeInfoDlg.validateFields);
});
